Package org.zkoss.bind.impl

## Class AnnotateBinderHelper

- java.lang.Object
- - org.zkoss.bind.impl.AnnotateBinderHelper

-     public class AnnotateBinderHelper
      extends java.lang.Object

  Helper class to parse binding annotations and create bindings.
  Since:
    6.0.0
  Author:
    henrichen, dennischen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BIND_ANNO` |
    `static java.lang.String` | `BINDER_ATTR` |
    `static java.lang.String` | `CHILDREN_ATTR` |
    `static java.lang.String` | `CHILDREN_KEY` |
    `static java.lang.String` | `COMMAND_ANNO` |
    `static java.lang.String` | `CONVERTER_ANNO` |
    `static java.lang.String` | `FORM_ATTR` |
    `static java.lang.String` | `GLOBAL_COMMAND_ANNO` |
    `static java.lang.String` | `ID_ANNO` |
    `static java.lang.String` | `INIT_ANNO` |
    `static java.lang.String` | `LOAD_ANNO` |
    `static java.lang.String` | `REFERENCE_ANNO` |
    `static java.lang.String` | `SAVE_ANNO` |
    `static java.lang.String` | `TEMPLATE_ANNO` |
    `static java.lang.String` | `VALIDATION_MESSAGES_ATTR` |
    `static java.lang.String` | `VALIDATOR_ANNO` |
    `static java.lang.String` | `VIEW_MODEL_ATTR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotateBinderHelper​(Binder binder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initComponentBindings​(Component comp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INIT_ANNO

          public static final java.lang.String INIT_ANNO

      See Also:
        Constant Field Values

    - #### BIND_ANNO

          public static final java.lang.String BIND_ANNO

      See Also:
        Constant Field Values

    - #### LOAD_ANNO

          public static final java.lang.String LOAD_ANNO

      See Also:
        Constant Field Values

    - #### SAVE_ANNO

          public static final java.lang.String SAVE_ANNO

      See Also:
        Constant Field Values

    - #### REFERENCE_ANNO

          public static final java.lang.String REFERENCE_ANNO

      See Also:
        Constant Field Values

    - #### ID_ANNO

          public static final java.lang.String ID_ANNO

      See Also:
        Constant Field Values

    - #### VALIDATOR_ANNO

          public static final java.lang.String VALIDATOR_ANNO

      See Also:
        Constant Field Values

    - #### CONVERTER_ANNO

          public static final java.lang.String CONVERTER_ANNO

      See Also:
        Constant Field Values

    - #### TEMPLATE_ANNO

          public static final java.lang.String TEMPLATE_ANNO

      See Also:
        Constant Field Values

    - #### COMMAND_ANNO

          public static final java.lang.String COMMAND_ANNO

      See Also:
        Constant Field Values

    - #### GLOBAL_COMMAND_ANNO

          public static final java.lang.String GLOBAL_COMMAND_ANNO

      See Also:
        Constant Field Values

    - #### FORM_ATTR

          public static final java.lang.String FORM_ATTR

      See Also:
        Constant Field Values

    - #### VIEW_MODEL_ATTR

          public static final java.lang.String VIEW_MODEL_ATTR

      See Also:
        Constant Field Values

    - #### BINDER_ATTR

          public static final java.lang.String BINDER_ATTR

      See Also:
        Constant Field Values

    - #### VALIDATION_MESSAGES_ATTR

          public static final java.lang.String VALIDATION_MESSAGES_ATTR

      See Also:
        Constant Field Values

    - #### CHILDREN_ATTR

          public static final java.lang.String CHILDREN_ATTR

      See Also:
        Constant Field Values

    - #### CHILDREN_KEY

          public static final java.lang.String CHILDREN_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnnotateBinderHelper

          public AnnotateBinderHelper​(Binder binder)

  - ### Method Detail

    - #### initComponentBindings

          public void initComponentBindings​(Component comp)